unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    edL: TEdit;
    edB: TEdit;
    edD: TEdit;
    edK: TEdit;
    Image1: TImage;
    Image2: TImage;
    Label1: TLabel;
    lblC: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
const
  eps0 = 8.854187817E-12;  // As/Vm
var
  k: Double;
  L: Double;
  B: Double;
  d: Double;
  C: Double;
begin
  if not TryStrToFloat(edK.Text, k) then
  begin
    ShowMessage('Kein oder ungültiger Wert für die Dielektrizitätskonstante.');
    edK.Setfocus;
    exit;
  end;
  if not TryStrToFloat(edD.Text, d) then
  begin
    ShowMessage('Kein oder ungültiger Wert für den Plattenabstand');
    edD.Setfocus;
    exit;
  end;
  if not TryStrToFloat(edL.Text, L) then
  begin
    ShowMessage('Kein oder ungültigerWert für die Plattenlänge.');
    edL.Setfocus;
    exit;
  end;
  if not tryStrtoFloat(edB.Text, B) then
  begin
    ShowMessage('Kein oder ungültiger Wert für die Plattenbreite.');
    edB.SetFocus;
    exit;
  end;
  C := k * eps0 * L * B / d * 1e-3;
  lblC.Caption := 'Kapazität = ' + FormatFloat('0.000E+00', C) + ' F';
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  edK.Text := '4';
  edD.Text := '1';
  edL.Text := '100';
  edB.Text := '100';
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  lblC.Caption := '';
end;

end.

